#!/bin/sh
echo "***********************************"
echo "***  Ubuntu 8.10 RiceeeyTweak2  ***"
echo "***       version 2.1.1-70x     ***"
echo "***       eee.ricey.co.uk       ***"
echo "***********************************"
echo "\n\nWelcome to RiceeeyTweak for Intrepid Ibex on the EeePC 70x series netbooks\n"
echo "The first step can be done by you! \n\nPlease put the install media (CD/USB Stick) back into your Eee.\nBrowse to the directory\n\n/media/'media name'/pool/main/l/linux-backports-modules-2.6.27/\n\nThen double click on the file\n\nlinux-backports-modules-2.6.27-7-generic_2.6.27-7.4_i386.deb\n\nThis will open the package installer, go ahead and click on the Install button.\nThis will install the wireless card drivers.\nOnce this is successful close down the installer and return here.\n\nPlease press [Enter] when you're ready to move on."
read cont
echo "Thankyou!\n\nLet's continue..."
sleep 1
cd RiceeeyFiles
echo "** Updating /etc/modules"
sudo cp /etc/modules /etc/modules.backup$(date +%y%m%d%H%M%S)
sudo cp -a modules /etc/modules
sudo chown root:root /etc/modules
sudo cp -a blacklist-local /etc/modprobe.d/blacklist-local
sudo chown root:root /etc/modprobe.d/blacklist-local
sleep 1
echo "** Done"

echo "** Enabling Hotkeys"
sudo cp -a if-asus-eee.sh /etc/acpi/if-asus-eee.sh
sudo cp -a asus-wireless-off /etc/acpi/events/asus-wireless-off
sudo cp -a asus-wireless-on /etc/acpi/events/asus-wireless-on
sudo cp -a eee-wifi-on-off.sh /etc/acpi/eee-wifi-on-off.sh
sudo chown root:root /etc/acpi/if-asus-eee.sh
sudo chown root:root /etc/acpi/events/asus-wireless-off
sudo chown root:root /etc/acpi/events/asus-wireless-on
sudo chown root:root /etc/acpi/eee-wifi-on-off.sh
sudo rm -f /etc/acpi/events/asus-mail
sleep 1
echo "** Done"

echo "** Fixing Shutdown Problem"
sudo cp /etc/init.d/halt /etc/init.d/halt.backup$(date +%y%m%d%H%M%S)
sudo cp -a halt /etc/init.d/halt
sudo chown root:root /etc/init.d/halt
echo "** Done"
sleep 1
echo "** Fixing SD Card mount problem"
sudo cp /etc/init.d/umountfs /etc/init.d/umountfs.backup$(date +%y%m%d%H%M%S)
sudo cp -a umountfs /etc/init.d/umountfs
sudo chown root:root /etc/init.d/umountfs
echo "Done"

echo "** Adjusting Disk atime"
sudo cp /etc/fstab /etc/fstab.backup$(date +%y%m%d%H%M%S)
sudo sed 's/relatime/noatime/' </etc/fstab >fstab.tmp
sudo mv fstab.tmp /etc/fstab
sudo chown root:root /etc/fstab
sleep 1
echo "** Done"

echo "** Adjusting Scheduler"
sudo cp /boot/grub/menu.lst /boot/grub/menu.lst.backup$(date +%y%m%d%H%M%S)
sudo sed 's/# defoptions=quiet splash/# defoptions=quiet splash elevator=noop/' </boot/grub/menu.lst >menu.lst.tmp
sudo mv menu.lst.tmp /boot/grub/menu.lst
sudo chown root:root /boot/grub/menu.lst
sleep 1
echo "** Done"

echo "** Adjusting Concurrency"
sudo cp /etc/init.d/rc /etc/init.d/rc.backup$(date +%y%m%d%H%M%S)
sudo sed 's/CONCURRENCY=none/CONCURRENCY=shell/' </etc/init.d/rc >rc.tmp
sudo mv rc.tmp /etc/init.d/rc
sudo chown root:root /etc/init.d/rc
sudo chmod +x /etc/init.d/rc
sleep 1
echo "** Done"

echo "** Adjusting Overclock Frequencies"
sudo cp /etc/init.d/rc.local /etc/init.d/rc.local.backup$(date +%y%m%d%H%M%S)
cp /etc/init.d/rc.local rc.local.tmp
echo "echo 562000 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq" >> rc.local.tmp
echo "echo ondemand > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor" >> rc.local.tmp
sudo mv rc.local.tmp /etc/init.d/rc.local
sudo chown root:root /etc/init.d/rc.local
sudo chmod +x /etc/init.d/rc.local
sleep 1
echo "** Done"

echo "** Gnome settings"
echo "** Setting font sizes"
gconftool-2 --set /apps/nautilus/preferences/desktop_font --type string "Sans 8"
gconftool-2 --set /desktop/gnome/interface/document_font_name --type string "Sans 8"
gconftool-2 --set /desktop/gnome/interface/font_name --type string "Sans 8"
gconftool-2 --set /apps/metacity/general/titlebar_font --type string "Sans Bold 8"
gconftool-2 --set /desktop/gnome/interface/monospace_font_name --type string "Monospace 8"
echo "** Smaller toolbars icons only"
gconftool-2 --set /desktop/gnome/interface/toolbar_style --type string "icons"
echo "** Disabling UI sounds"
gconftool-2 --set /desktop/gnome/sound/event_sounds --type bool 0
echo "** Fixing mute key"
gconftool-2 --set /desktop/gnome/sound/default_mixer_tracks --type list --list-type string "[PCM]"
echo "* Fullscreen with <Alt>-F11"
gconftool-2 --set /apps/metacity/window_keybindings/toggle_fullscreen --type string "<Alt>F11"
echo "** Setting suspend when closing lid, blank screen"
gconftool-2 --set /apps/gnome-power-manager/actions/sleep_type_battery --type string "suspend"
gconftool-2 --set /apps/gnome-power-manager/actions/sleep_type_ac --type string "suspend"
gconftool-2 --set /apps/gnome-power-manager/buttons/lid_battery --type string "suspend"
gconftool-2 --set /apps/gnome-power-manager/buttons/lid_ac --type string "blank"
gconftool-2 --set /apps/gnome-power-manager/timeout/sleep_computer_ac --type int 0
gconftool-2 --set /apps/gnome-power-manager/timeout/sleep_computer_battery --type int 300
gconftool-2 --set /apps/gnome-power-manager/timeout/sleep_display_ac --type int 300
gconftool-2 --set /apps/gnome-power-manager/timeout/sleep_display_battery --type int 60
echo "** Don't display battery warning"
gconftool-2 --set /apps/gnome-power-manager/notify/low_capacity --type bool 0
echo "** Unconstraining windows to the top of the screen"
gconftool-2 --type bool --set /apps/compiz/plugins/move/allscreens/options/constrain_y 0
echo "** Gnome settings done."

echo "** Done\n\n"
echo "All relevant drivers are now installed - hopefully!"
echo "If you have any troubles please refer back to eee.ricey.co.uk"
echo "Please reboot now"
