#!/bin/sh

wifi_on() {
   # Switch on the hardware
   echo -n 1 > /sys/devices/platform/eeepc/wlan
}

wifi_off() {
   echo 0 > /sys/devices/platform/eeepc/wlan
}

case $1 in
   on)
      wifi_on
      ;;
   off)
      wifi_off
      ;;
   toggle)
      STAT=`cat /sys/devices/platform/eeepc/wlan`
      if [ "$STAT" = "1" ];
         then wifi_off;
         else wifi_on;
      fi
      ;;
esac
